Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jboss.subsystem
Enum Element

    java.lang.Object
      java.lang.Enum<Element>
          org.modeshape.jboss.subsystem.Element

All Implemented Interfaces:
  Serializable, Comparable<Element>

    public enum Element

extends Enum<Element>

Enumerates the XML elements used in the ModeShape subsystem schema.

Enum Constant Summary
`AUTHENTICATOR`
`AUTHENTICATORS`
`CACHE_BINARY_STORAGE`
`CACHE_INDEX_STORAGE`
`CUSTOM_BINARY_STORAGE`
`CUSTOM_INDEX_STORAGE`
`DB_BINARY_STORAGE`
`FILE_BINARY_STORAGE`
`INDEXING`
`LOCAL_FILE_INDEX_STORAGE`
`MASTER_FILE_INDEX_STORAGE`
`PATH_EXPRESSION`
`RAM_INDEX_STORAGE`
`REPOSITORY`
`SEQUENCER`
`SEQUENCERS`
`SLAVE_FILE_INDEX_STORAGE`
`UNKNOWN`
`WORKSPACE`
`WORKSPACES`

Method Summary
`static Element` | `forName(String localName)`
`String` | `getLocalName()` Get the local name of this element.
`static Element` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Element[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Element UNKNOWN

### AUTHENTICATORS

    public static final Element AUTHENTICATORS

### AUTHENTICATOR

    public static final Element AUTHENTICATOR

### CACHE_BINARY_STORAGE

    public static final Element CACHE_BINARY_STORAGE

### CACHE_INDEX_STORAGE

    public static final Element CACHE_INDEX_STORAGE

### CUSTOM_BINARY_STORAGE

    public static final Element CUSTOM_BINARY_STORAGE

### CUSTOM_INDEX_STORAGE

    public static final Element CUSTOM_INDEX_STORAGE

### DB_BINARY_STORAGE

    public static final Element DB_BINARY_STORAGE

### FILE_BINARY_STORAGE

    public static final Element FILE_BINARY_STORAGE

### INDEXING

    public static final Element INDEXING

### LOCAL_FILE_INDEX_STORAGE

    public static final Element LOCAL_FILE_INDEX_STORAGE

### MASTER_FILE_INDEX_STORAGE

    public static final Element MASTER_FILE_INDEX_STORAGE

### PATH_EXPRESSION

    public static final Element PATH_EXPRESSION

### RAM_INDEX_STORAGE

    public static final Element RAM_INDEX_STORAGE

### REPOSITORY

    public static final Element REPOSITORY

### SEQUENCER

    public static final Element SEQUENCER

### SEQUENCERS

    public static final Element SEQUENCERS

### SLAVE_FILE_INDEX_STORAGE

    public static final Element SLAVE_FILE_INDEX_STORAGE

### WORKSPACE

    public static final Element WORKSPACE

### WORKSPACES

    public static final Element WORKSPACES

Method Detail

### values

    public static Element[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Element c : Element.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Element valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLocalName

    public String getLocalName()

  Get the local name of this element.

  Returns:
    the local name

### forName

    public static Element forName(String localName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.